## ros-indigo-swri-geometry-util 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(swri_geometry_util)

find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  cv_bridge
  roscpp
  tf
)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})

find_package(GEOS REQUIRED)

find_package(OpenCV REQUIRED core)

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to pkg-config
  find_package(PkgConfig)
  pkg_check_modules(EIGEN3 REQUIRED eigen3)
else()
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()
add_definitions(${EIGEN3_DEFINITIONS})


catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
    tf
  DEPENDS
    OpenCV
)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${GEOS_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/cubic_spline.cpp
  src/geometry_util.cpp
  src/intersection.cpp
  src/polygon.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES} ${GEOS_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(test_intersection test/intersection.test test/test_intersection.cpp)
  target_link_libraries(test_intersection ${PROJECT_NAME})

  add_rostest_gtest(test_geometry_util test/geometry_util.test test/test_geometry_util.cpp)
  target_link_libraries(test_geometry_util ${PROJECT_NAME})
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-indigo-swri-geometry-util (2.8.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-indigo-swri-geometry-util (2.7.3-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-indigo-swri-geometry-util (2.7.2-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-indigo-swri-geometry-util (2.7.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-indigo-swri-geometry-util (2.7.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-indigo-swri-geometry-util (2.6.0-0trusty) trusty; urgency=high

  * Check for valid polygons before calculating intersection area. (#529 <https://github.com/swri-robotics/marti_common/issues/529>)
  * Add polygon utility functions. (#526 <https://github.com/swri-robotics/marti_common/issues/526>)
  * Add function to test if two line segments intersect. (#525 <https://github.com/swri-robotics/marti_common/issues/525>)
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-indigo-swri-geometry-util (2.5.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-indigo-swri-geometry-util (2.4.0-0trusty) trusty; urgency=high

  * Add function for projecting a point onto a plane. (#521 <https://github.com/swri-robotics/marti_common/issues/521>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-swri-geometry-util (2.3.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-indigo-swri-geometry-util (2.2.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-indigo-swri-geometry-util (2.2.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-indigo-swri-geometry-util (2.1.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-indigo-swri-geometry-util (2.0.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-indigo-swri-geometry-util (1.2.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-indigo-swri-geometry-util (1.1.0-0trusty) trusty; urgency=high

  * Add function for closest point to lines in 3d. (#478 <https://github.com/pjreed/marti_common/issues/478>)
  * Add line intersection function. (#473 <https://github.com/pjreed/marti_common/issues/473>)
  * Contributors: Edward Venator, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-indigo-swri-geometry-util (1.0.0-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-indigo-swri-geometry-util (0.3.0-0trusty) trusty; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Add OpenCV dependency
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-indigo-swri-geometry-util (0.2.4-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-indigo-swri-geometry-util (0.2.3-0trusty) trusty; urgency=high

  * Fix OpenCV dependencies for Kinetic build (#400 <https://github.com/swri-robotics/marti_common/issues/400>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-indigo-swri-geometry-util (0.2.2-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-indigo-swri-geometry-util (0.2.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-indigo-swri-geometry-util (0.2.0-0trusty) trusty; urgency=high

  * Update FindGEOS to generate linker flags correctly in Ubuntu 16.04 (#348 <https://github.com/swri-robotics/marti_common/issues/348>).
    The regexes to find the link directory and library name from the
    output of geos-config were too liberal, so the library name
    regex would match on the -linux portion of the link directory,
    resulting in broken linker flags. This tightens up those regexes
    a bit to yield the correct library directory and name.
  * Fix a typedef conflict in Ubuntu 16.04 (#347 <https://github.com/swri-robotics/marti_common/issues/347>)
    Wrapping geos includes in #define statements forces geos to typedef
    int64 to int64_t so that it matches opencv's typedef.
  * Add cubic spline interface for tf::Vector3 type.
  * Contributors: Ed Venator, Marc Alban

 -- Marc Alban <malban@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-indigo-swri-geometry-util (0.1.5-0trusty) trusty; urgency=high

  * Add an explicit dependency on pkg-config
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-indigo-swri-geometry-util (0.1.4-0trusty) trusty; urgency=high

  * Fixing Jade compilation issues
  * Fixed compile error when ros-indigo-opencv3 is installed (#307 <https://github.com/evenator/marti_common/issues/307>)
  * Contributors: Kim Mathiassen

 -- Marc Alban <malban@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-indigo-swri-geometry-util (0.1.3-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-indigo-swri-geometry-util (0.1.2-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-indigo-swri-geometry-util (0.1.1-0trusty) trusty; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-indigo-swri-geometry-util (0.1.0-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-swri-geometry-util
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgeos++-dev, pkg-config, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-tf
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-indigo-swri-geometry-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgeos++-dev, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-roscpp, ros-indigo-tf
Description: swri_geometry_util

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swri-geometry-util//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
